
* This code starts from business creation files in SAS format, select variables, do some cleaning, and save data in Stata format.

cd "${dir}"


/*------------------------------------------------------------------------------

Step 1: Save raw data in Stata format

------------------------------------------------------------------------------*/

* create directory to store raw data in stata format
cd "${dir}/rawdata"
capture mkdir ree_creation
cd "${dir}/rawdata/ree_creation"
capture mkdir raw
cd "${dir}"

* for each year, open sas file and store it in stata format

forvalues year = 1993(1)2006 {
cd "${rawdatadir}\REE_Créations Entreprises_`year'\RÉTROPOLÉES"
import sas "CREAT`year'.sas7bdat", clear
cd "${dir}/rawdata/ree_creation/raw"
save "crea_new_`year'", replace
}

forvalues year = 2007(1)2008 {
cd "${rawdatadir}\REE_Créations Entreprises_`year'\RÉTROPOLÉES"
import sas "CREA`year'.sas7bdat", clear
cd "${dir}/rawdata/ree_creation/raw"
save "crea_new_`year'", replace
}

forvalues year = 2009(1)2014 {
cd "${rawdatadir}\REE_Créations Entreprises_`year'"
import sas "france.sas7bdat", clear
cd "${dir}/rawdata/ree_creation/raw"
save "crea_new_`year'", replace
}

forvalues year = 2015(1)2018 {
cd "${rawdatadir}\REE_Créations Entreprises_`year'"
import sas "france`year'.sas7bdat", clear
cd "${dir}/rawdata/ree_creation/raw"
save "crea_new_`year'", replace
}


/*------------------------------------------------------------------------------

Step 2: Create unique Stata file

------------------------------------------------------------------------------*/

* create directory to store cleaned data
cd "${dir}/rawdata/ree_creation"
capture mkdir cleaned
cd "${dir}"

* append all years
clear
gen year = .
forvalues yr = 1993(1)2008 {
append using "${dir}/rawdata/ree_creation/raw/crea_new_`yr'"
replace year = `yr' if year==.
}

* keep 1 observation per siren
rename SIREN siren
gegen yearcrea = min(year),by(siren)
bys siren: keep if _n==1

* legal status
rename CJ cj_sine

* industry
rename APEN sec_sine

* save
rename siren sir
keep sir yearcrea cj_sine sec
save "${dir}/rawdata/ree_creation/cleaned/creation", replace


